// _GestionElecteurs_Interface.java
// Created on 2 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.elections.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionElecteurs_Interface extends COFrame {

    /** Creates new form _GestionElecteurs_Interface */
    public _GestionElecteurs_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        listeAffichage = new org.cocktail.component.COTable();
        popup = new org.cocktail.component.COComboBox();
        vueBoutonsValidation = new org.cocktail.component.COView();
        cOButton9 = new org.cocktail.component.COButton();
        cOButton10 = new org.cocktail.component.COButton();
        vueBoutonsModification = new org.cocktail.component.COView();
        btnReintegrer = new org.cocktail.component.COButton();
        btnAjouter = new org.cocktail.component.COButton();
        btnExclure = new org.cocktail.component.COButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        cOLabel1 = new org.cocktail.component.COLabel();
        jLabel3 = new javax.swing.JLabel();
        cOTextField1 = new org.cocktail.component.COTextField();
        cOButton1 = new org.cocktail.component.COButton();
        cOButton2 = new org.cocktail.component.COButton();

        displayGroup.setEntityName("ListeElecteur");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        setControllerClassName("org.cocktail.mangue.client.elections.GestionElecteurs");
        setSize(new java.awt.Dimension(796, 336));

        listeAffichage.setColumns(new Object[][] {{null,"individu.nomUsuel",new Integer(2),"Nom",new Integer(0),new Integer(174),new Integer(1000),new Integer(38)},{null,"individu.prenom",new Integer(2),"Prénom",new Integer(0),new Integer(156),new Integer(1000),new Integer(38)},{null,"college.llCollege",new Integer(2),"Collège",new Integer(0),new Integer(148),new Integer(1000),new Integer(38)},{null,"bureauVote.llBureauVote",new Integer(2),"Bureau de vote",new Integer(0),new Integer(170),new Integer(1000),new Integer(38)},{null,"temExcluMan",new Integer(0),"Exclu",new Integer(0),new Integer(40),new Integer(1000),new Integer(10)},{null,"composanteElective.llComposanteElective",new Integer(2),"Composante Elective",new Integer(0),new Integer(163),new Integer(1000),new Integer(38)},{null,"sectionElective.llSectionElective",new Integer(2),"Section Elective",new Integer(0),new Integer(188),new Integer(1000),new Integer(44)},{null,"secteur.llSecteur",new Integer(2),"Secteur",new Integer(0),new Integer(163),new Integer(1000),new Integer(28)},{null,"cTypeExclusion",new Integer(2),"Type exclusion",new Integer(0),new Integer(84),new Integer(1000),new Integer(38)},{null,"carriere.libelle",new Integer(2),"Carrière",new Integer(0),new Integer(170),new Integer(1000),new Integer(38)},{null,"contrat.libelle",new Integer(2),"Contrat",new Integer(0),new Integer(188),new Integer(1000),new Integer(44)},{null,"corps.llCorps",new Integer(2),"Corps",new Integer(0),new Integer(188),new Integer(1000),new Integer(44)},{null,"grade.llGrade",new Integer(2),"Grade",new Integer(0),new Integer(188),new Integer(1000),new Integer(44)},{null,"structure.llStructure",new Integer(2),"Structure",new Integer(0),new Integer(207),new Integer(1000),new Integer(44)},{null,"cnu.libelleLong",new Integer(2),"Cnu",new Integer(0),new Integer(163),new Integer(1000),new Integer(28)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);

        popup.setActionName("popupHasChanged");
        popup.setTitles("Valides,Ajoutés,Exclus,Sans bureau de vote,Avec plusieurs affectations,Tous");

        cOButton9.setActionName("annuler");
        cOButton9.setBorderPainted(false);
        cOButton9.setEnabledMethod("modificationEnCours");
        cOButton9.setIconName("annuler16.gif");

        cOButton10.setActionName("valider");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("peutValider");
        cOButton10.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsValidationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsValidation);
        vueBoutonsValidation.setLayout(vueBoutonsValidationLayout);
        vueBoutonsValidationLayout.setHorizontalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        vueBoutonsValidationLayout.setVerticalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        btnReintegrer.setActionName("reajouterElecteur");
        btnReintegrer.setBorderPainted(false);
        btnReintegrer.setEnabledMethod("peutReajouter");
        btnReintegrer.setIconName("cktl_coche_16.png");
        btnReintegrer.setToolTipText("Ré-intégrer");

        btnAjouter.setActionName("ajouterElecteur");
        btnAjouter.setBorderPainted(false);
        btnAjouter.setEnabledMethod("peutAjouterElecteur");
        btnAjouter.setIconName("ajouter16.gif");
        btnAjouter.setToolTipText("Ajouter un nouvel électeur");

        btnExclure.setActionName("exclureElecteur");
        btnExclure.setBorderPainted(false);
        btnExclure.setEnabledMethod("peutExclureElecteur");
        btnExclure.setIconName("supprimer16.gif");
        btnExclure.setToolTipText("Exclure ");

        org.jdesktop.layout.GroupLayout vueBoutonsModificationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsModification);
        vueBoutonsModification.setLayout(vueBoutonsModificationLayout);
        vueBoutonsModificationLayout.setHorizontalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsModificationLayout.createSequentialGroup()
                .add(43, 43, 43)
                .add(btnExclure, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnReintegrer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, Short.MAX_VALUE)
                .addContainerGap())
        );
        vueBoutonsModificationLayout.setVerticalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsModificationLayout.createSequentialGroup()
                .addContainerGap()
                .add(vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnExclure, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 20, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnReintegrer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 20, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnAjouter, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 20, Short.MAX_VALUE)))
        );

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel1.setText("Electeurs ");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Nombre d'électeurs :");

        cOLabel1.setValueName("numElecteurs");

        jLabel3.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel3.setText("Titre de l'édition");

        cOTextField1.setEnabledMethod("peutImprimer");
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("titreEdition");

        cOButton1.setActionName("exporter");
        cOButton1.setBorderPainted(false);
        cOButton1.setEnabledMethod("peutImprimer");
        cOButton1.setIconName("disquette.gif");

        cOButton2.setActionName("imprimer");
        cOButton2.setBorderPainted(false);
        cOButton2.setEnabledMethod("peutImprimer");
        cOButton2.setIconName("Imprimante.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(20, 20, 20)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(layout.createSequentialGroup()
                            .add(jLabel1)
                            .add(18, 18, 18)
                            .add(popup, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 191, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(120, 120, 120)
                            .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 741, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel3)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 485, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jLabel2))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 119, Short.MAX_VALUE)
                            .add(layout.createSequentialGroup()
                                .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap(20, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(popup, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel1))
                    .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 225, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel2))
                        .add(4, 4, 4)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel3)
                            .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(6, 6, 6))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 46, Short.MAX_VALUE)
                        .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap())))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton btnAjouter;
    public org.cocktail.component.COButton btnExclure;
    public org.cocktail.component.COButton btnReintegrer;
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COLabel cOLabel1;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.CODisplayGroup displayGroup;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COComboBox popup;
    public org.cocktail.component.COView vueBoutonsModification;
    public org.cocktail.component.COView vueBoutonsValidation;
    // End of variables declaration//GEN-END:variables
                  

}
